<?php namespace EwTools\Models;

/**
 * Page
 *
 * @link    http://infomaker.se
 * @package EwTools\Models
 * @since   EwTools\Models\Page 0.1
 *
 * @property array  ancestors
 * @property string id
 * @property string post_parent
 * @property string post_title
 * @property string post_content
 */
class Page extends Post {
    
    protected static $type = 'page';
    
    /**
     * Returns a html string of the pages content
     *
     * @since 0.1
     * @return mixed
     */
    public function content() {
        return $this->post_content;
    }
    
    /**
     * Retrieve page by title
     *
     * @param string $title
     *
     * @uses  get_page_by_title()
     * @since 0.1
     * @return static
     */
    public static function createFromTitle( $title ) {
        $fetched_page = get_page_by_title( $title );
        
        return $fetched_page ? static::createFromPost( $fetched_page ) : null;
    }
}